### Hierarchy

- unknown
  - GetMoneroNodeSettingsRequest

## Index

### Constructors

- constructor

### Methods

- serializeBinary
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetMoneroNodeSettingsRequest(): GetMoneroNodeSettingsRequest

- Inherited from jspb.Message.constructor

  #### Returns GetMoneroNodeSettingsRequest

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:1214

  #### Returns Uint8Array

### toObject

- toObject(includeInstance?: boolean): GetMoneroNodeSettingsRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1215

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetMoneroNodeSettingsRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetMoneroNodeSettingsRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1218

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetMoneroNodeSettingsRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetMoneroNodeSettingsRequest, reader: BinaryReader): GetMoneroNodeSettingsRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1219

  #### Parameters

  - ##### message: GetMoneroNodeSettingsRequest

  - ##### reader: BinaryReader

  #### Returns GetMoneroNodeSettingsRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetMoneroNodeSettingsRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:1217

  #### Parameters

  - ##### message: GetMoneroNodeSettingsRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetMoneroNodeSettingsRequest ): GetMoneroNodeSettingsRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1216

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetMoneroNodeSettingsRequest

  #### Returns GetMoneroNodeSettingsRequest . AsObject

Generated using TypeDoc